// index.js
// 获取应用实例
const app = getApp()

Page({
  data: {
    isAuthorized: false
  },
  // 事件处理函数
  goLivePlayer(e) {
    console.log(e.currentTarget.dataset)
    if (!this.data.isAuthorized) {
      wx.getUserProfile({
        desc: '正在获取', //不写不弹提示框
        success: res => {
          this.setData({
            isAuthorized: true
          })
          wx.setStorageSync('myWxUseInfo', res.userInfo)
          wx.navigateTo({
            url: '/pages/meetingEnter/meetingEnter'
          })
        },
        fail: err => {
          console.log("获取失败: ", err)
        }
      })
    } else {
      wx.navigateTo({
        url: '/pages/meetingEnter/meetingEnter'
      })
    }
    
  },
  onLoad() {
  }
})
